Subject: Buttons dies when child dies

From: [email-masked]
Date: Mon, 14 Dec 1998 03:55:54 -0600 (CST)

Full_Name: Dominik Vogt
Version: 
CVS_Date: 13-Dec-1998
OS: Linux
X_Server: XF86
Submission from: (NULL) (155.208.254.69)
Submitted by: domivogt

Under obscure circumstances FvwmButtons may die when
a swallowed application coredumps. I've seen this
with FvwmIconMan (before I fixed the coredump there).
I suspect the app. sends a signal to FvwmButtons that
isn't handled so FvwmButtons exits.

Could someone with better knowledge of signal handlers
take a look at this?

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].